%define anolis_release 1

Name:             libidn2
Version:          2.3.3
Release:          %{anolis_release}%{?dist}
Summary:          Library to support IDNA2008 internationalized domain names
License:          (GPLv2+ or LGPLv3+) and GPLv3+
URL:              https://www.gnu.org/software/libidn/#libidn2

Source0:          https://ftp.gnu.org/gnu/libidn/%{name}-%{version}.tar.gz
Source1:          https://ftp.gnu.org/gnu/libidn/%{name}-%{version}.tar.gz.sig
Source2:          https://keys.openpgp.org/vks/v1/by-fingerprint/B1D2BD1375BECB784CF4F8C4D73CF638C53C06BE

BuildRequires:    gnupg2
BuildRequires:    gcc
BuildRequires:    make
BuildRequires:    gettext
BuildRequires:    libunistring-devel
BuildRequires:    texinfo
Provides:         bundled(gnulib)

%description
Libidn2 is an implementation of the IDNA2008 specifications in RFC
5890, 5891, 5892, 5893 and TR46 for internationalized domain names
(IDN). It is a standalone library, without any dependency on libidn.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:          Development files for libidn2
Requires:         %{name} = %{version}-%{release}, pkgconfig

%description devel
The libidn2-devel package contains libraries and header files for
developing applications that use libidn2.

%package -n idn2
Summary:          IDNA2008 internationalized domain names conversion tool
License:          GPLv3+
Requires:         %{name} = %{version}-%{release}
Requires(post):   /sbin/install-info
Requires(preun):  /sbin/install-info

%description -n idn2
The idn2 package contains the idn2 command line tool for testing
IDNA2008 conversions.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%setup -q

%build
%configure --disable-static
%make_build AUTOMAKE=true
%make_build AUTOMAKE=true -C doc html

%install
%make_install AUTOMAKE=true

# Clean-up examples for documentation
%make_build -C examples distclean
rm -f examples/Makefile*

# Don't install any libtool .la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# Some file cleanups
rm -f $RPM_BUILD_ROOT%{_datadir}/info/dir

%find_lang %{name}

%check
%make_build -C tests check

%ldconfig_scriptlets

%if 0%{?rhel} && 0%{?rhel} <= 7
%post -n idn2            
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :            

%preun -n idn2            
if [ $1 -eq 0 ]; then            
  /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :            
fi
%endif

%files -f %{name}.lang
%license COPYING COPYING.LESSERv3 COPYING.unicode COPYINGv2
%{_libdir}/%{name}.so.*

%files doc
%doc AUTHORS NEWS README.md

%files devel
%doc doc/%{name}.html examples
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*.h
%{_mandir}/man3/*
%{_datadir}/gtk-doc/

%files -n idn2
%{_bindir}/idn2
%{_mandir}/man1/idn2.1*
%{_infodir}/%{name}.info*

%changelog
* Thu Sep 22 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.3.3-1
- update to 2.3.3

* Wed Mar 09 2022 zhang xianting <zhangxianting@uniontech.com> - 2.3.2-1
- Initial build for Anolis v23
